Bug 326927 - Kmail crashes when I try to answer a mail
Summary: Kmail crashes when I try to answer a mail
Status: RESOLVED UNMAINTAINED
Alias: None
Product: kmail2
Classification: Applications
Component: general (show other bugs)
Version: 4.10.5
Platform: OpenSUSE Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords: drkonqi
Depends on:
Blocks:
 
Reported: 2013-10-31 08:05 UTC by jtryit
Modified: 2017-01-07 21:44 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
File from bug report dialog: crash when clicking reply (6.17 KB, text/plain)
2014-01-16 09:39 UTC, Morgan Leijström
Details
File from bug report dialog: crash when starting after first crash (3.32 KB, text/plain)
2014-01-16 09:40 UTC, Morgan Leijström
Details

Note You need to log in before you can comment on or make changes to this bug.
Description jtryit 2013-10-31 08:05:29 UTC
Application: kmail (4.10.5)
KDE Platform Version: 4.10.5 "release 1"
Qt Version: 4.8.4
Operating System: Linux 3.7.10-1.16-desktop x86_64
Distribution: "openSUSE 12.3 (x86_64)"

-- Information about the crash:
- What I was doing when the application crashed:
I just press the answer button for answering a mail. I had tried it several times.

The crash can be reproduced every time.

-- Backtrace:
Application: KMail (kmail), signal: Aborted
Using host libthread_db library "/lib64/libthread_db.so.1".
[Current thread is 1 (Thread 0x7f06f6baf780 (LWP 3895))]

Thread 3 (Thread 0x7f06d6654700 (LWP 3908)):
#0  0x00007f06f1d2b964 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f06e749e7c7 in ?? () from /usr/lib64/libQtWebKit.so.4
#2  0x00007f06e749e7f9 in ?? () from /usr/lib64/libQtWebKit.so.4
#3  0x00007f06f1d27e0f in start_thread () from /lib64/libpthread.so.0
#4  0x00007f06f3efb44d in clone () from /lib64/libc.so.6

Thread 2 (Thread 0x7f06d5d53700 (LWP 3909)):
#0  0x00007fffc41b860a in ?? ()
#1  0x00007fffc41b88ac in clock_gettime ()
#2  0x00007f06f3f0d1ad in clock_gettime () from /lib64/libc.so.6
#3  0x00007f06f47b3d94 in do_gettime (frac=0x7f06d5d52b58, sec=0x7f06d5d52b50) at tools/qelapsedtimer_unix.cpp:123
#4  qt_gettime () at tools/qelapsedtimer_unix.cpp:140
#5  0x00007f06f4888bed in QTimerInfoList::updateCurrentTime (this=this@entry=0x7f06d0002860) at kernel/qeventdispatcher_unix.cpp:354
#6  0x00007f06f4888f33 in QTimerInfoList::timerWait (this=0x7f06d0002860, tm=...) at kernel/qeventdispatcher_unix.cpp:461
#7  0x00007f06f488799c in timerSourcePrepareHelper (src=<optimized out>, timeout=0x7f06d5d52c44) at kernel/qeventdispatcher_glib.cpp:136
#8  0x00007f06f4887a45 in timerSourcePrepare (source=<optimized out>, timeout=<optimized out>) at kernel/qeventdispatcher_glib.cpp:169
#9  0x00007f06ec167338 in g_main_context_prepare () from /usr/lib64/libglib-2.0.so.0
#10 0x00007f06ec1679cb in ?? () from /usr/lib64/libglib-2.0.so.0
#11 0x00007f06ec167bc4 in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#12 0x00007f06f48882e6 in QEventDispatcherGlib::processEvents (this=0x7f06d00008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#13 0x00007f06f4858adf in QEventLoop::processEvents (this=this@entry=0x7f06d5d52e00, flags=...) at kernel/qeventloop.cpp:149
#14 0x00007f06f4858d68 in QEventLoop::exec (this=0x7f06d5d52e00, flags=...) at kernel/qeventloop.cpp:204
#15 0x00007f06f475b0f0 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:542
#16 0x00007f06f475e0cc in QThreadPrivate::start (arg=0x28017e0) at thread/qthread_unix.cpp:338
#17 0x00007f06f1d27e0f in start_thread () from /lib64/libpthread.so.0
#18 0x00007f06f3efb44d in clone () from /lib64/libc.so.6

Thread 1 (Thread 0x7f06f6baf780 (LWP 3895)):
[KCrash Handler]
#6  0x00007f06f3e473d5 in raise () from /lib64/libc.so.6
#7  0x00007f06f3e48858 in abort () from /lib64/libc.so.6
#8  0x00007f06f3e8744b in __libc_message () from /lib64/libc.so.6
#9  0x00007f06f3e8cfc6 in malloc_printerr () from /lib64/libc.so.6
#10 0x00007f06f3e8dd43 in _int_free () from /lib64/libc.so.6
#11 0x00007f06f5030b46 in QTextDocumentLayoutPrivate::layoutBlock (this=this@entry=0x3a99430, bl=..., blockPosition=0, blockPosition@entry=5868, blockFormat=..., layoutStruct=layoutStruct@entry=0x7fffc40e2120, layoutFrom=512, layoutFrom@entry=759, layoutTo=layoutTo@entry=759, previousBlockFormat=previousBlockFormat@entry=0x0) at text/qtextdocumentlayout.cpp:2687
#12 0x00007f06f5037b98 in QTextDocumentLayoutPrivate::layoutFlow (this=0x3a99430, it=..., layoutStruct=0x7fffc40e2120, layoutFrom=759, layoutTo=759, width=...) at text/qtextdocumentlayout.cpp:2402
#13 0x00007f06f50336b4 in QTextDocumentLayoutPrivate::layoutCell (this=this@entry=0x3a99430, t=t@entry=0x341dd40, cell=..., width=..., layoutFrom=layoutFrom@entry=759, layoutTo=layoutTo@entry=759, td=td@entry=0x341c220, absoluteTableY=absoluteTableY@entry=..., withPageBreaks=withPageBreaks@entry=false) at text/qtextdocumentlayout.cpp:1532
#14 0x00007f06f5034061 in QTextDocumentLayoutPrivate::layoutTable (this=this@entry=0x3a99430, table=0x341dd40, layoutFrom=layoutFrom@entry=759, layoutTo=layoutTo@entry=759, parentY=..., parentY@entry=...) at text/qtextdocumentlayout.cpp:1642
#15 0x00007f06f503640c in QTextDocumentLayoutPrivate::layoutFrame (this=this@entry=0x3a99430, f=f@entry=0x341dd40, layoutFrom=layoutFrom@entry=759, layoutTo=layoutTo@entry=759, frameWidth=..., frameWidth@entry=..., frameHeight=..., parentY=...) at text/qtextdocumentlayout.cpp:2107
#16 0x00007f06f5036c0f in QTextDocumentLayoutPrivate::layoutFrame (this=this@entry=0x3a99430, f=f@entry=0x341dd40, layoutFrom=layoutFrom@entry=759, layoutTo=layoutTo@entry=759, parentY=...) at text/qtextdocumentlayout.cpp:2049
#17 0x00007f06f50380c8 in QTextDocumentLayoutPrivate::layoutFlow (this=0x3a99430, it=..., layoutStruct=0x7fffc40e2d90, layoutFrom=759, layoutTo=759, width=...) at text/qtextdocumentlayout.cpp:2311
#18 0x00007f06f50366f1 in QTextDocumentLayoutPrivate::layoutFrame (this=this@entry=0x3a99430, f=f@entry=0x3a99990, layoutFrom=layoutFrom@entry=759, layoutTo=layoutTo@entry=759, frameWidth=..., frameWidth@entry=..., frameHeight=..., parentY=...) at text/qtextdocumentlayout.cpp:2143
#19 0x00007f06f5036c0f in QTextDocumentLayoutPrivate::layoutFrame (this=this@entry=0x3a99430, f=f@entry=0x3a99990, layoutFrom=layoutFrom@entry=759, layoutTo=layoutTo@entry=759, parentY=parentY@entry=...) at text/qtextdocumentlayout.cpp:2049
#20 0x00007f06f5038f51 in QTextDocumentLayout::doLayout (this=this@entry=0x3c39b30, from=from@entry=759, oldLength=oldLength@entry=1, length=length@entry=0) at text/qtextdocumentlayout.cpp:2939
#21 0x00007f06f5039ed9 in QTextDocumentLayout::documentChanged (this=0x3c39b30, from=759, oldLength=1, length=0) at text/qtextdocumentlayout.cpp:2902
#22 0x00007f06f5019ab6 in QTextDocumentPrivate::finishEdit (this=0x3c39780) at text/qtextdocument_p.cpp:1220
#23 0x00007f06f503f845 in removeSelectedText (this=<optimized out>) at text/qtextcursor.cpp:1662
#24 QTextCursor::removeSelectedText (this=0x7fffc40e3140) at text/qtextcursor.cpp:1655
#25 0x00007f06ed265419 in KPIMTextEdit::TextEdit::loadImage (this=0x3a8f860, image=..., matchName=..., resourceName=...) at /usr/src/debug/kdepimlibs-4.10.5/kpimtextedit/textedit.cpp:517
#26 0x00007f06efd16b28 in Message::ComposerViewBase::collectImages (this=this@entry=0x3d215e0, root=<optimized out>) at /usr/src/debug/kdepim-4.10.5/messagecomposer/composerviewbase.cpp:1506
#27 0x00007f06efd20059 in Message::ComposerViewBase::setMessage (this=0x3d215e0, msg=...) at /usr/src/debug/kdepim-4.10.5/messagecomposer/composerviewbase.cpp:181
#28 0x00007f06f59e0857 in KMComposeWin::setMessage (this=this@entry=0x3d2a3f0, newMsg=..., lastSignState=lastSignState@entry=false, lastEncryptState=lastEncryptState@entry=false, mayAutoSign=mayAutoSign@entry=true, allowDecryption=allowDecryption@entry=false, isModified=isModified@entry=false) at /usr/src/debug/kdepim-4.10.5/kmail/kmcomposewin.cpp:1555
#29 0x00007f06f59e3f6f in KMComposeWin::KMComposeWin (this=this@entry=0x3d2a3f0, aMsg=..., lastSignState=lastSignState@entry=false, lastEncryptState=lastEncryptState@entry=false, context=context@entry=KMail::Composer::Reply, id=id@entry=0, textSelection=..., customTemplate=..., __in_chrg=<optimized out>, __vtt_parm=<optimized out>) at /usr/src/debug/kdepim-4.10.5/kmail/kmcomposewin.cpp:473
#30 0x00007f06f59e4f4f in KMComposeWin::create (msg=..., lastSignState=false, lastEncryptState=false, context=KMail::Composer::Reply, identity=0, textSelection=..., customTemplate=...) at /usr/src/debug/kdepim-4.10.5/kmail/kmcomposewin.cpp:174
#31 0x00007f06f597d609 in KMReplyCommand::execute (this=0x43ae500) at /usr/src/debug/kdepim-4.10.5/kmail/kmcommands.cpp:864
#32 0x00007f06f597c681 in KMCommand::slotPostTransfer (this=0x43ae500, result=KMCommand::OK) at /usr/src/debug/kdepim-4.10.5/kmail/kmcommands.cpp:272
#33 0x00007f06f486f29f in QMetaObject::activate (sender=0x43ae500, m=<optimized out>, local_signal_index=<optimized out>, argv=0x7fffc40e4000) at kernel/qobject.cpp:3548
#34 0x00007f06f597c48e in KMCommand::messagesTransfered (this=this@entry=0x43ae500, _t1=_t1@entry=KMCommand::OK) at /usr/src/debug/kdepim-4.10.5/build/kmail/kmcommands.moc:117
#35 0x00007f06f59809ec in KMCommand::slotJobFinished (this=0x43ae500) at /usr/src/debug/kdepim-4.10.5/kmail/kmcommands.cpp:382
#36 0x00007f06f486f29f in QMetaObject::activate (sender=0x3868210, m=<optimized out>, local_signal_index=<optimized out>, argv=0x7fffc40e41b0) at kernel/qobject.cpp:3548
#37 0x00007f06f5feb7e2 in KJob::result (this=this@entry=0x3868210, _t1=_t1@entry=0x3868210) at /usr/src/debug/kdelibs-4.10.5/build/kdecore/kjob.moc:208
#38 0x00007f06f5feb820 in KJob::emitResult (this=0x3868210) at /usr/src/debug/kdelibs-4.10.5/kdecore/jobs/kjob.cpp:318
#39 0x00007f06f486e77e in QObject::event (this=0x3868210, e=<optimized out>) at kernel/qobject.cpp:1203
#40 0x00007f06f4d9786c in QApplicationPrivate::notify_helper (this=this@entry=0x20dec10, receiver=receiver@entry=0x3868210, e=e@entry=0x3ea4060) at kernel/qapplication.cpp:4562
#41 0x00007f06f4d9bceb in QApplication::notify (this=0x7fffc40e4e40, receiver=0x3868210, e=0x3ea4060) at kernel/qapplication.cpp:4423
#42 0x00007f06f65c17f6 in KApplication::notify (this=0x7fffc40e4e40, receiver=0x3868210, event=0x3ea4060) at /usr/src/debug/kdelibs-4.10.5/kdeui/kernel/kapplication.cpp:311
#43 0x00007f06f4859d8e in QCoreApplication::notifyInternal (this=0x7fffc40e4e40, receiver=receiver@entry=0x3868210, event=event@entry=0x3ea4060) at kernel/qcoreapplication.cpp:946
#44 0x00007f06f485d6f1 in sendEvent (event=0x3ea4060, receiver=0x3868210) at kernel/qcoreapplication.h:231
#45 QCoreApplicationPrivate::sendPostedEvents (receiver=0x0, event_type=0, data=0x20841f0) at kernel/qcoreapplication.cpp:1570
#46 0x00007f06f4888133 in sendPostedEvents () at kernel/qcoreapplication.h:236
#47 postEventSourceDispatch (s=0x20ea360) at kernel/qeventdispatcher_glib.cpp:279
#48 0x00007f06ec1677d5 in g_main_context_dispatch () from /usr/lib64/libglib-2.0.so.0
#49 0x00007f06ec167b08 in ?? () from /usr/lib64/libglib-2.0.so.0
#50 0x00007f06ec167bc4 in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#51 0x00007f06f48882c6 in QEventDispatcherGlib::processEvents (this=0x2089a70, flags=...) at kernel/qeventdispatcher_glib.cpp:424
#52 0x00007f06f4e37c1e in QGuiEventDispatcherGlib::processEvents (this=<optimized out>, flags=...) at kernel/qguieventdispatcher_glib.cpp:204
#53 0x00007f06f4858adf in QEventLoop::processEvents (this=this@entry=0x7fffc40e4ac0, flags=...) at kernel/qeventloop.cpp:149
#54 0x00007f06f4858d68 in QEventLoop::exec (this=0x7fffc40e4ac0, flags=...) at kernel/qeventloop.cpp:204
#55 0x00007f06f485da08 in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1218
#56 0x0000000000402e8d in main (argc=<optimized out>, argv=<optimized out>) at /usr/src/debug/kdepim-4.10.5/kmail/main.cpp:146

Possible duplicates by query: bug 314376, bug 313684.

Reported using DrKonqi
Comment 1 Morgan Leijström 2014-01-16 09:30:44 UTC
Confirming + I keep a repeatable case.

I have a certain mail that when I have it selected and click reply, Kmail crash.
Also, it crash on starting until I  rm ~/.kde4/share/apps/kmail2/autosave/*

I am keeping that mail, so you can tell me if and how you want me to try or trace something.

Sililar versions as original reporter: same Kmail, slightly later qt and kernel, Mageia 3:

Application: kmail (4.10.5)
KDE Platform Version: 4.10.5
Qt Version: 4.8.5
Operating System: Linux 3.10.24-desktop-2.mga3 x86_64
Distribution: Mageia 3 x86_64
Comment 2 Morgan Leijström 2014-01-16 09:39:54 UTC
Created attachment 84660 [details]
File from bug report dialog: crash when clicking reply
Comment 3 Morgan Leijström 2014-01-16 09:40:35 UTC
Created attachment 84661 [details]
File from bug report dialog: crash when starting after first crash
Comment 4 Denis Kurz 2016-09-24 18:06:46 UTC
This bug has only been reported for versions before 4.14, which have been unsupported for at least two years now. Can anyone tell if this bug still present?

If noone confirms this bug for a Framework-based version of kmail2 (version 5.0 or later, as part of KDE Applications 15.12 or later), it gets closed in about three months.
Comment 5 Denis Kurz 2017-01-07 21:44:49 UTC
Just as announced in my last comment, I close this bug. If you encounter it again in a recent version (at least 5.0 aka 15.08), please open a new one unless it already exists. Thank you for all your input.